Bug 99044 - Preferences->Windows fails when WM is sawfish
Preferences->Windows fails when WM is sawfish
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks: 99036
  Show dependency treegraph
 
Reported: 2003-07-12 12:49 EDT by Toralf
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-12 13:33:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2003-07-12 12:49:48 EDT
Description of problem:
sawfish-ui is not started when I select Windows from Preferences Menu.

Version-Release number of selected component (if applicable):
sawfish-1.2-5

How reproducible:
Every time

Steps to Reproduce:
1. Start sawfish window manger...
2. Select Preferences->Windows

    
Actual results:
Cannot start the preferences application for you window manager

Window manager "" has not registered a configuration tool


Expected results:
Config tool starts
Comment 1 Havoc Pennington 2003-07-12 13:33:21 EDT
Sawfish is provided on an "as-is" basis, the Windows control panel would display 
a Sawfish tool if Sawfish provided one. We don't do any active development 
work to enhance Sawfish, however, we only fix packaging issues with it and 
so forth.
Comment 2 Toralf 2003-07-12 13:43:16 EDT
Sawfish does provide a config tool, and installs an associated desktop file on
/usr/share/gnome/wm-properties/, but perhaps something else is needed these days?
Comment 3 Havoc Pennington 2003-07-12 13:47:23 EDT
Yes, you have to hook up the backend for gnome-window-properties, essentially.
If you look at the gnome-window-properties source code it should be reasonably
clear what needs coding.

Comment 4 Toralf 2003-07-23 06:44:43 EDT
Seemes to be fixed in current CVS version of Sawfish.

Note You need to log in before you can comment on or make changes to this bug.